%define	version	1.99.2
%define release	0.20030813.2mdk

Summary:	Gomoku (Connect Five) chess game for GNOME
Name:		gnomoku
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Boards
URL:		http://cactus.rulez.org/projects/gnomoku/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		%{name}-%{version}.tar.bz2
Patch0:		%{name}-1.99.2-gcc33.patch.bz2

BuildRequires:	libgtkmm2.0-devel
BuildRequires:	libgnomeuimm2.0-devel
BuildRequires:	ImageMagick
BuildRequires:	intltool


%description
Gnomoku is a Gomoku (or Connect Five) chess game for GNOME,
with network support and an AI opponent.


%prep
%setup -q
%patch0 -p1 -b .gcc33
intltoolize -c -f

%build
%configure2_5x
%make

%install
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}
%makeinstall_std

# menu
mkdir -p %{buildroot}%{_menudir}
cat << _EOF_ > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 needs="x11" \
 section="Amusement/Boards" \
 title="Gnomoku" \
 longtitle="Gomoku (Connect Five)" \
 icon="gnomoku.png"
_EOF_

# icons
mkdir -p %{buildroot}%{_iconsdir} \
	 %{buildroot}%{_miconsdir} \
	 %{buildroot}%{_liconsdir}
install -m 0644         gnomoku.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 gnomoku.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 gnomoku.png %{buildroot}%{_miconsdir}/%{name}.png

%{find_lang} %{name}


%post
%{update_menus}

%postun
%{clean_menus}

%clean
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING MAINTAINERS NEWS README TODO
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Sat Sep 13 2003 Abel Cheung <deaddog@deaddog.org> 1.99.2-0.20030813.2mdk
- rebuild with new libgnomeuimm

* Thu Sep  4 2003 Abel Cheung <deaddog@deaddog.org> 1.99.2-0.20030813.1mdk
- First Mandrake package
